# -*- coding: Latin-1 -*-
#
# SMM Share and Money Management
# Copyright (c) 2007-2009 Carsten Grohmann
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; version 2 of the
# License.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.

## \file smm/errors.py
#
# \short Contains all functions to handle errors and all individual exceptions
#
# \author Carsten Grohmann <mail (at) carstengrohmann (dot) de>
#
# \par License:
# GPL version 2.0
#
# \version $Id: errors.py,v 1.5 2009-04-06 13:36:26 carsten Exp $
#
# \par Revision History:
# \code
# $Log: errors.py,v $
# Revision 1.5  2009-04-06 13:36:26  carsten
# - typo in license statement
#
# Revision 1.4  2009-04-06 07:56:19  carsten
# - update copyright string
# - unify python coding line
#
# Revision 1.3  2008-04-27 19:50:17  carsten
# - replace "stock" by "share" - I like British English :-)
#
# Revision 1.2  2008-01-01 18:51:09  carsten
# - adapt copyright string to new year
#
# Revision 1.1  2007-12-25 19:10:18  carsten
# - Initial import of the current partly running version
# \endcode

# import general python modules


## \brief Base class for all plugin errors
class PluginError(Exception):
    pass

## \brief Raised if a plugin is not found
class PluginMissingError(PluginError):
    pass

## \brief Raised if a attribute / function is missing inside a plugin
class PluginAttributeError(PluginError):
    pass
